<form action="" method="post" class="tab" id="mapping_fields" style="position: relative;">
    <div class="panel-body border-bottom">
        <div class="row">
            <div class="col-xs-6 col-sm-6">
                Ваши дополнительные поля
            </div>
            <div class="col-xs-6 col-sm-6">
                Поля по базе Vibix
            </div>
        </div>
    </div>

    <table class="table table-striped">
        <tbody>
            <?php

            $tags_arr = array(
                "embed_code"          => "Ссылка на плеер Vibix",
                "kp_id"               => "Кинопоиск ID",
                "kp_rating"           => "Кинопоиск рейтинг",
                "preview"             => "Постер",
                "genre"               => "Жанры",
                "year"                => "Дата релиза",
                "name"                => "Название",
                "country"             => "Страны",
                "description"         => "Описание",
                "duration"            => "Продолжительность",
                "persons.montagers"   => "Монтажеры",
                "actors.montagers"    => "Актеры",
                "artists.montagers"   => "Художники",
                "composers.montagers" => "Композиторы",
                "directors.montagers" => "Режиссеры",
                "editors.montagers"   => "Сценаристы",
                "operators.montagers" => "Операторы",
                "producers.montagers" => "Продюсеры",

            );

            $xfields = "";

            foreach (xfieldsload() as $xfield) {
                $options = "";
                foreach ($tags_arr as $key => $value) {
                    if (in_array($xfield[3], ['text', 'textarea', 'htmljs', 'select']) && substr($key, 0, 1) != ":") {
                        $key = trim($key, ':');
                        $selected = "";
                        if (isset($vibix_xfields_config[$xfield[0]]) and $vibix_xfields_config[$xfield[0]] == $key)
                            $selected = " selected";
                        $options .= '<option value="' . $key . '"' . $selected . '>' . $value . '</option>';
                    }
                }

                if (!empty($options)) { ?>
                    <tr>
                        <td class="col-xs-6 col-sm-6 white-line">
                            <h6 class="media-heading text-semibold"><?= $xfield[1] ?></h6>
                            <span class="text-muted text-size-small hidden-xs">Поле в шаблоне [xfvalue_<?= $xfield[0] ?>]</span>
                        </td>
                        <td class="col-xs-6 col-sm-6 white-line">
                            <select name="xfields_config[<?= $xfield[0] ?>]" style="width:100%;max-width:350px;" class="uniform">
                                <option value=" ">Нет</option><?= $options ?>
                            </select>
                        </td>
                    </tr>
            <?php }
            } ?>

        </tbody>
    </table>

    <div class="panel-footer" style="position: sticky;bottom:0;">
        <input type="hidden" name="action" value="save_mapping_fields">
        <input type="hidden" name="user_hash" value="<?= $dle_login_hash ?>">
        <input type="submit" class="btn bg-teal btn-sm btn-raised position-left legitRipple" value="Сохранить">
        <input type="reset" class="btn bg-slate-600 btn-sm btn-raised position-left legitRipple" value="Вернуть">
    </div>
</form>