<form onsubmit="event.preventDefault();setProfile();" action="" method="post" id="profile" style="position: relative;">
    <div class="panel-body border-bottom">
        Информация
    </div>
    <table class="table table">
        <tbody>
            <tr>
                <td class="col-xs-6 col-sm-6">
                    <h6 class="media-heading text-semibold">Имя</h6>
                    <span class="text-muted text-size-small hidden-xs">Можно изменить</span>
                </td>
                <td class="col-xs-6 col-sm-6">
                    <input type="text" class="form-control" id="name" />
                </td>
            </tr>
            <tr>
                <td class="col-xs-6 col-sm-6">
                    <h6 class="media-heading text-semibold">Email</h6>
                    <span class="text-muted text-size-small hidden-xs">Для смены Email обратитесь в поддержку</span>
                </td>
                <td class="col-xs-6 col-sm-6">
                    <input type="text" class="form-control" id="email" placeholder="не установлен" disabled />
                </td>
            </tr>
            <tr>
                <td class="col-xs-6 col-sm-6">
                    <h6 class="media-heading text-semibold">Сайты</h6>
                    <span class="text-muted text-size-small hidden-xs">Для смены сайтов обратитесь в поддержку</span>
                </td>
                <td class="col-xs-6 col-sm-6">
                    <input type="text" class="form-control" id="sites" placeholder="не установлены" disabled />
                </td>
            </tr>
            <tr>
                <td class="col-xs-6 col-sm-6">
                    <h6 class="media-heading text-semibold">CPM</h6>
                    <span class="text-muted text-size-small hidden-xs">Подробнее о формировании cpm уточняйте в тех поддержке</span>
                </td>
                <td class="col-xs-6 col-sm-6">
                    <input type="text" class="form-control" id="cpm" placeholder="не установлен" disabled />
                </td>
            </tr>
            <tr>
                <td class="col-xs-6 col-sm-6">
                    <h6 class="media-heading text-semibold">Кошелек для выплат</h6>
                    <span class="text-muted text-size-small hidden-xs">Для смены кошелька обратитесь в поддержку</span>
                </td>
                <td class="col-xs-6 col-sm-6">
                    <input type="text" class="form-control" id="wallet" placeholder="не установлен" disabled />
                </td>
            </tr>
        </tbody>
    </table>

    <!-- <div class="panel-body border-bottom border-top">
        Настройки копирования кода
    </div> -->
    <table class="table table">
        <tbody>
            <!-- <tr>
                <td class="col-xs-6 col-sm-6">
                    <h6 class="media-heading text-semibold">Ширина и высота</h6>
                    <span class="text-muted text-size-small hidden-xs">Данные настройки применяются к коду, который будет копироваться из базы при нажатии кнопки "копировать код". При этом опции "копировать только ссылку" и "ссылка на страницу" сверху справа должны быть выключены.</span>
                </td>
            </tr>
            <tr>
                <td class="col-xs-6 col-sm-6">
                <span class="text-muted text-size-small hidden-xs">Размер можно указывать как просто числом (670), так и вместе с единицей измерения (670px, 670%).</span>
                </td>
            </tr>

            
            <tr>
                <td class="col-xs-6 col-sm-6">
                    <h6 class="media-heading text-semibold">Ширина</h6>
                </td> -->
            <td class="col-xs-6 col-sm-6">
                <input type="text" class="form-control hidden" id="copy_width" placeholder="Введите ширину" />
            </td>
            <!-- </tr>
            <tr>
                <td class="col-xs-6 col-sm-6">
                    <h6 class="media-heading text-semibold">Высота</h6>
                </td> -->
            <td class="col-xs-6 col-sm-6">
                <input type="text" class="form-control hidden" id="copy_height" placeholder="Введите высоту" />
            </td>
            <!-- </tr>
               <tr>
                <td class="col-xs-6 col-sm-6">
                    <h6 class="media-heading text-semibold">Шаблоны</h6>
                    <span class="text-muted text-size-small hidden-xs">Шаблоны можно использовать для того, чтобы копируемая ссылка была сразу в нужном вам виде. В обоих шаблонах для определения места вставки нужно использовать код {link}.</span>
                </td>
            </tr>
            <tr>
                <td class="col-xs-6 col-sm-6">
                    <h6 class="media-heading text-semibold">Шаблон для копирования одной ссылки</h6>
                </td>-->
                <td class="col-xs-6 col-sm-6">
                    <input type="text" class="form-control" id="copy_template" />
                </td>
            </tr>
        </tbody> 
    </table>

    <div class="panel-footer" style="position: sticky;bottom:0;">
        <input type="submit" class="btn bg-teal btn-sm btn-raised position-left legitRipple" value="Сохранить">
        <input type="reset" class="btn bg-slate-600 btn-sm btn-raised position-left legitRipple" value="Вернуть">
    </div>
</form>

<script>
    async function getProfile() {

        let response = await fetch('<?= $vibix_config['api_server'] ?>/profile/', {
            headers: {
                Authorization: 'Bearer ' + localStorage.getItem('token')
            }
        });

        if (response.ok) {
            let json = await response.json();
            document.getElementById("name").setAttribute('value', json.data.name);
            if (json.data.copy_height) document.getElementById("copy_height").setAttribute('value', json.data.copy_height);
            if (json.data.copy_width) document.getElementById("copy_width").setAttribute('value', json.data.copy_width);
            if (json.data.copy_template) document.getElementById("copy_template").setAttribute('value', json.data.copy_template);
            if (json.data.email) document.getElementById("email").setAttribute('value', json.data.email);
            if (json.data.sites) document.getElementById("sites").setAttribute('value', json.data.sites);
            if (json.data.wallet) document.getElementById("wallet").setAttribute('value', json.data.wallet);
            if (json.data.cpm) document.getElementById("cpm").setAttribute('value', json.data.cpm);
        }
    }

    async function setProfile() {
        let user = {
            name: document.getElementById("name").value,
            copy_height: document.getElementById("copy_height").value,
            copy_width: document.getElementById("copy_width").value,
            copy_template: document.getElementById("copy_template").value,
        };

        let response = await fetch('<?= $vibix_config['api_server'] ?>/profile/', {
            method: 'POST',
            headers: {
                Authorization: 'Bearer ' + localStorage.getItem('token'),
                'Content-Type': 'application/json;charset=utf-8'
            },
            body: JSON.stringify(user)
        });

        if (response.ok) {}
    }

    getProfile();
</script>