<?php

$Res = ['ERROR'];

if (in_array($_REQUEST['action_ajax'], ["redirect_getFilters"])) {
    $Res = getApi('/publisher/catalog/getFilters', []);
}

if (in_array($_REQUEST['action_ajax'], ["redirect_data"])) {
    $news = [];
    $Res = [];
    $Res = getApi('/publisher/catalog/data', $_POST);

    $file = 'dlenews';
    $news = $db->query("SELECT xfields FROM " . USERPREFIX . "_post");
    $news ? $posts['records'] = $news->num_rows : $posts['records'] = 0;
    $posts['id'] = [];

    if (!file_exists(ENGINE_DIR . '/cache/system/' . $file . '.php')) {
        $current['records'] = 0;
        $current['id'] = [];
        set_vars($file, $current);
    }
    $current = get_vars($file);

    if (($current['records'] <> $posts['records']) and ($posts['records'] > 0)) {
        $xfield_vibix_to_dle = [];

        foreach ($vibix_xfields_config as $dle_field => $vibix_field)
            $xfield_vibix_to_dle[$vibix_field] = $dle_field;

        foreach ($news as $post) {
            $xfieldsdata = xfieldsdataload($post['xfields']);
            if (!empty($xfield_vibix_to_dle['kp_id']) and !empty($xfieldsdata[$xfield_vibix_to_dle['kp_id']])){
                $posts['id'][] = $xfieldsdata[$xfield_vibix_to_dle['kp_id']];
            }
        }
        
        set_vars($file, $posts);
        $current = $posts;
    }

    $counter = 0;
    foreach ($Res['data'] as $movie) {
        if (!empty($movie['kp_id']) and in_array($movie['kp_id'], $current['id'])) {
            $Res['data'][$counter]['exists'] = 1;
        } else {
            $Res['data'][$counter]['exists'] = 0;
        }
        $counter++;
    }
}

if (in_array($_REQUEST['action_ajax'], ["delete_task"])) {
    $task_id = $_REQUEST['id'];
    $db->query("DELETE FROM " . PREFIX . "_vibix_tasks WHERE id = $task_id");
    $Res = ['OK'];
}
if (in_array($_REQUEST['action_ajax'], ["CREATE", "CREATE_UPDATE", "ONLY_LINK_UPDATE"])) {
    $type = $_REQUEST['action_ajax'];
    if (!in_array($_REQUEST['add_type'], ['filter', 'selected'])) return;
    else $add_type = $_REQUEST['add_type'];

    if ($add_type == 'filter') {
        if (!is_array($_REQUEST['filter']))
            return;
        $filter = $_REQUEST['filter'];
    } else if ($add_type == 'selected') {
        if (empty($_REQUEST['vibix_basket'])) {
            $Res = ['EMPTY'];
            return;
        }
        if (!is_array($_REQUEST['vibix_basket']))
            return;
        $filter = ['id' => $_REQUEST['vibix_basket']];
    } else
        return;

    $res = getApi('/publisher/catalog/data', [
        'draw'    => 1,
        'start'   => 50,
        'length'  => 50,
        'columns' => [['data' => '', 'name' => '', 'searchable' => true, 'orderable' => true,]],
        'order'   => [['column' => 0, 'dir' => 'desc']],
        'filter'  => $filter
    ]);
    if (empty($res['recordsTotal']))
        return;

    $filter = $db->safesql(json_encode($filter));
    $total = $res['recordsTotal'];
    $Res = ['OK'];
    $db->query("INSERT INTO " . USERPREFIX . "_vibix_tasks (user_id, type, total, state, filter) values ('{$member_id['user_id']}', '{$type}','{$total}', 'PROCESS','{$filter}')");
}


function prepareDataDleForm($vibix_post)
{
    global $config, $db, $vibix_xfields_config, $vibix_category_config;

    $xfieldsdata = []; //ToDo: подгружать справочник полей на предмет обязательных и с дефолотным значением
    foreach ($vibix_xfields_config as $xfield_name => $vibix_field)
        if (!empty($vibix_post[$vibix_field]))
            $xfieldsdata[$xfield_name] = $vibix_post[$vibix_field];

    $category = [];
    foreach ($vibix_category_config as $dle_cat_id => $fields) {
        foreach ($fields as $item) {
            list($field, $value) = explode('.', $item);
            if (!empty($vibix_post[$field]) and $vibix_post[$field] == $value)
                $category[] = $dle_cat_id;
        }
    }

    $title = tpl_field('title', $vibix_post, $vibix_post['name']);
    return [
        'id'           => $vibix_post['id'],
        'year'         => $vibix_post['year'],
        'newdate'      => date("Y-m-d H:i:s"),
        'new_author'   => tpl_field('autor', $vibix_post, 'vibix'),
        'kinopoisk_id' => $vibix_post['kp_id'],
        'title'        => $title,
        'category'     => $category,
        'alt_name'     => totranslit(stripslashes($title), true, false, $config['translit_url']),
        'descr'        => tpl_field('metadescription', $vibix_post, $vibix_post['name']),
        'tags'         => tpl_field('tags', $vibix_post, ''),
        'meta_title'   => tpl_field('metatitle', $vibix_post, $vibix_post['name']),
        'keywords'     => tpl_field('metakeywords', $vibix_post, ''),
        'short_story'  => tpl_field('short_story', $vibix_post, $vibix_post['description']),
        'full_story'   => tpl_field('full_story', $vibix_post, $vibix_post['description']),
        'xfields'      => $xfieldsdata,
        'allow_comm'   => '1',
        'approve'      => '1',
        'allow_main'   => '1',
        'fixed'        => '0',
        'allow_br'     => '1',
        'symbol'       => '',
    ];
}

if (in_array($_REQUEST['action_ajax'], ["searchMoves"])) {
    $kinopoisk_id = (int)$_REQUEST['kp_id'];
    $title = trim($_REQUEST['title']);
    $Res = ['by_title' => [], 'by_kp_id' => []];
    if (strlen($title) > 3) {
        $res = getApi('/publisher/catalog/data', [
            'filter'  => [],
            'draw' => 1,
            'start' => 0,
            'length' => 30,
            'columns' => [['data' => '', 'name' => '', 'searchable' => true, 'orderable' => true,]],
            'order' => [['column' => 0, 'dir' => 'desc']],
            'search'  => ['value' => $title]
        ]);
        if (!empty($res['data'])) {
            $res['data'] = array_slice($res['data'], 0, 10);
            foreach ($res['data'] as $vibix_post)
                $Res['by_title'][] = prepareDataDleForm($vibix_post);
        }
    }
    if (strlen($kinopoisk_id) > 3) {
        $res = getApi('/publisher/catalog/data', [
            'draw'   => 1,
            'start' => 0,
            'length' => 30,
            'columns' => [['data' => '', 'name' => '', 'searchable' => true, 'orderable' => true,]],
            'order' => [['column' => 0, 'dir' => 'desc']],
            'search' => ['value' => $kinopoisk_id]
        ]);

        if (!empty($res['data'])) {
            foreach ($res['data'] as $vibix_post)
                $Res['by_kp_id'][] = prepareDataDleForm($vibix_post);
        }
    }
}

function filtersTranslate($array)
{
    $translation = [];
    $getApi = getApi('/publisher/catalog/getFilters', []);
    foreach ($array as $filter => $value) {
        foreach ($value as $item) {
            if ($filter != 'id') {
                foreach ($getApi['filters'][$filter]['list'] as $row) {

                    if ($row['value'] == $item) {
                        $translation[$filter][] = $row['name'];
                    }
                }
            }
        }
    }
    return $translation;
}

if (in_array($_REQUEST['action_ajax'], ["getTasks"])) {

    $lib_enum = [
        'CREATE'           => 'Добавить если нет',
        'CREATE_UPDATE'    => 'Добавить и обновить если есть',
        'ONLY_LINK_UPDATE' => 'Проставить ссылку на плеер Vibix',
        'CANCEL'           => 'Отмена',
        'PROCESS'          => 'В работе',
        'PAUSE'            => 'На паузе',
        'COMPLETE'         => 'Завершено',
    ];
    $Res = ['list' => []];
    $rows = $db->super_query("SELECT TASKS.*,USERS.name as user_name FROM " . USERPREFIX . "_vibix_tasks as TASKS join " . USERPREFIX . "_users USERS ON USERS.user_id = TASKS.user_id ORDER BY TASKS.date DESC", true);
    if (!empty($rows)) {
        foreach ($rows as &$row) {
            $row['state'] = $lib_enum[$row['state']];
            $row['type'] = $lib_enum[$row['type']];
            $row['filter'] = json_decode($row['filter'], true);
            $row['date'] = date("d.m.Y H:i", strtotime($row['date']));
            $row['translation'] = filtersTranslate($row['filter']);
        }
        $Res['list'] = $rows;
    }
}

if (in_array($_REQUEST['action_ajax'], ["vibixBtnGetConfig"])) {
    $xfield_vibix_to_dle = [];
    foreach ($vibix_xfields_config as $dle_field => $vibix_field)
        $xfield_vibix_to_dle[$vibix_field] = $dle_field;

    $Res = [
        'config' => [
            'dle_kp_id'            => $xfield_vibix_to_dle['kp_id'],
            'dle_vibix_embed_code' => $xfield_vibix_to_dle['embed_code']
        ]
    ];
}
