<form action="" method="post" class="tab" id="settings" style="position: relative;">
    <div class="panel-body border-bottom">
        Основные настройки
    </div>
    <table class="table table">
        <tbody>
            <tr>
                <td class="col-xs-6 col-sm-6 ">
                    <h6 class="media-heading text-semibold">API token</h6>
                    <span class="text-muted text-size-small hidden-xs">Его Вы можете получить в своём кабинете <a target="_blank" href="https://vibix.org">Vibix.org</a></span>
                </td>
                <td class="col-xs-6 col-sm-6">
                    <input type="text" class="form-control" name="settings_config[api_token]" value="<?= $vibix_settings_config['api_token'] ?>" />
                </td>
            </tr>
            <tr>
                <td class="col-xs-6 col-sm-6">
                    <h6 class="media-heading text-semibold">Автор материала</h6>
                </td>
                <td class="col-xs-6 col-sm-6">
                    <input type="text" class="form-control" name="settings_config[tpl_autor]" value="<?= empty($vibix_settings_config['tpl_autor']) ? 'Vibix' : $vibix_settings_config['tpl_autor'] ?>" />
                </td>
            </tr>
        </tbody>
    </table>
    <div class="panel-body border-top">
        <h6 class="media-heading text-semibold">Шаблоны для SEO</h6>
        <span class="text-muted text-size-small hidden-xs">В этой секции можно настроить шаблоны для SEO. Допускается использование сразу нескольких тегов.</span>
    </div>
    <div class="panel-body">

        Список доступных тегов:<br><br>

        <b>{name}</b> - название<br>
        <b>{year}</b> - год выхода<br>
        <b>{kp_rating}</b> - рейтинг на кинопоиске<br>
        <b>{genre}</b> - жанр<br>
        <b>{catrgory}</b> - категория<br>
        <b>{country}</b> - страна<br>
        <b>{description}</b> - описание<br>
        <b>{duration}</b> - продолжительность в минутах<br>
        <b>{kp_id}</b> - id на кинопоиске<br>
        <b>{kp_votes}</b> - количество оценок на кинопоиске<br>
        <br>
        <b>{persons.actor}</b> - актеры<br>
        <b>{persons.director}</b> - режиссеры<br>
        <b>{persons.designer}</b> - художники<br>
        <b>{persons.writer}</b> - сценаристы<br>
        <b>{persons.operator}</b> - операторы<br>
        <b>{persons.editor}</b> - монтажеры<br>
        <b>{persons.producer}</b> - продюсеры<br>
        <b>{persons.composer}</b> - композиторы<br>
        <b>{persons.voice_actor}</b> - роли озвучивали<br>
    </div>
    <table class="table table-striped">
        <tbody>
            <?php foreach ([
                ['Заголовок материала', 'tpl_title', '{name}'],
                ['Краткое описание', 'tpl_short_story', '{description}'],
                ['Полное описание', 'tpl_full_story', '{description}'],
                ['Теги материала', 'tpl_tags', ''],
                ['Meta Title', 'tpl_metatitle', '{name}'],
                ['Meta Description', 'tpl_metadescription', ''],
                ['Meta Keywords', 'tpl_metakeywords', ''],
            ] as $item) { ?>
                <tr>
                    <td class="col-xs-6 col-sm-6">
                        <h6 class="media-heading text-semibold"><?= $item[0] ?>:</h6>
                    </td>
                    <td class="col-xs-6 col-sm-6">
                        <input type="text" class="form-control" name="settings_config[<?= $item[1] ?>]" placeholder="если оставить поле пустым, то по умолчанию будет использован тег: <?= !empty([$item[2]]) ? $item[2] :  ' ' ?>" value="<?= empty($vibix_settings_config[$item[1]]) ? $item[2] : $vibix_settings_config[$item[1]] ?>" />
                    </td>
                </tr>
            <?php } ?>
        </tbody>
    </table>
    
    <div class="panel-footer" style="position: sticky;bottom:0;">
        <input type="hidden" name="settings_config[new_links]" value="1">
        <input type="hidden" name="action" value="save_config">
        <input type="hidden" name="user_hash" value="<?= $dle_login_hash ?>">
        <input type="submit" class="btn bg-teal btn-sm btn-raised position-left legitRipple" value="Сохранить">
        <input type="reset" class="btn bg-slate-600 btn-sm btn-raised position-left legitRipple" value="Вернуть">
    </div>
</form>