<style>
    .form-control.vibix_basket {
        width: 20px;

    }

    .req_ask .btn {
        padding: 0;
    }

    .panel-footer.panel-custom {
        background: LightSlateGrey;
    }



</style>

<div class="tab" id="mass_action" style="position: relative;">
    <div class="panel-body">
        <div class="alert alert-warning alert-styled-left alert-arrow-left alert-component">
            Для работы фоновых заданий настройте планировщик заданий <b>Cron</b> на исполнение скрипта /cron_vibix.php, он находится в корневой директории вашего сайта.
            Возможно вам поможет инструкция <a target="_blank" href="https://help.reg.ru/support/hosting/php-asp-net-i-skripty/planirovshchik-cron#0">REG RU Планировщик CRON</a>.<br>
            Если знаний и опыта не достаточно так же рекомендуем написать тикет в тех поддержку вашего хостинга с текстом: <i>Просьба помочь настроить планировщик крон на ежеминутное исполнение для файла /cron_vibix.php</i>

        </div>
    </div>


    <div class="panel-body border-bottom">
        Активные задания

        <div style="float: right" id="page_cron">
            <span>
                <input class="switch" type="checkbox" value="1" />
                Запустить задания в ручную
            </span>
        </div>

    </div>
    <div class="table-responsive">
        <table class="table table-xs">
            <thead>
                <tr>
                    <th>Создано</th>
                    <th>Автор</th>
                    <th>Тип задания</th>
                    <th>Фильтр</th>
                    <th>Всего</th>
                    <th style="width: 150px">Прогресс</th>
                    <th>Состояние</th>
                    <th></th>
                </tr>
            </thead>
            <tbody class="vibix_task_list"></tbody>
        </table>
    </div>


    <script>
        $(document).ready(function() {
            //page_cron

            $('#vibix .spinner-border').show();
            reloadActiveTasks(function() {
                $('#vibix .spinner-border').hide();
            });

            var page_cron_interval = setInterval(function() {
                if ($("#page_cron input").prop('checked'))
                    processTask(function(data) {
                        if (data.task_id > 0) {
                            var tr_task = $('.vibix_task_list').find(`[data-id="${data.task_id}"]`);
                            $(tr_task).find('.progress_value').text(`${data.progress}%`);
                            $('.progress-bar', tr_task).css('width', data.progress + '%').attr('aria-valuenow', data.progress);
                            if (data.progress == 100)
                                $(tr_task).find('.state').html(`Завершено`);
                        } else {
                            $("#page_cron .switchery").prop('checked', false).trigger("click");
                            //clearInterval(page_cron_interval);
                        }
                    })
            }, 1000);

            function processTask(callback = null) {
                $.ajax({
                    type: "POST",
                    crossDomain: true,
                    url: '/cron_vibix.php',
                    data: {},
                    dataType: "json",
                    success: function(data) {
                        if (callback)
                            callback(data);
                    },
                    error: function(errMsg) {

                    }
                });
            }

            function compileFilterTask(row) {
                var res = ``;
                $.each(row['filter'], function(key, list_items) {
                    if (key == 'id')
                        res = `Id по Vibix: <span class="badge badge-primary">` + list_items.join(`</span> <span class="badge badge-primary">`) + `</span>`;
                    // else if (GRID.filters[key]) {
                    //     res = `${GRID.filters[key]['des'].replace('Все ', '')}: `;
                    //     $.each(GRID.filters[key]['list'], function(key, list_item) {
                    //         res += `<span class="badge badge-primary">${list_item['name']}</span> `;
                    //     });
                    // }

                });
                $.each(row['translation'], function(key, list_items) {
                    list_items.forEach((name) => {
                        res += `<span class="badge badge-primary">` + name + (`</span> <span class="badge badge-primary">`) + `</span>`;
                    });
                });
                return res;
            }

            function reloadActiveTasks(callback = null) {
                $.ajax({
                    type: "POST",
                    crossDomain: true,
                    url: '/<?= $config['admin_path'] ?>?mod=vibix&action_ajax=getTasks',
                    data: {},
                    dataType: "json",
                    success: function(data) {
                        if (callback)
                            callback(data);

                        $('.vibix_task_list').html('');
                        $.each(data['list'], function(key, row) {

                            $('.vibix_task_list').append(`
                                            <tr id="${row['id']}" data-id="${row['id']}">
                                                <td>${row['date']}</td>
                                                
                                                <td>${row['user_name']}</td>
                                                <td>${row['type']}</td>
                                                <td width='300'>${compileFilterTask(row)}</td>
                                                <td>${row['total']}</td>
                                                <td>
                                                    <span class="progress_value">${row['progress']}%</span>
                                                    <div class="progress" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100">
                                                        <div class="progress-bar overflow-visible progress-blue" style="width: ${row['progress']}%"></div>
                                                    </div>
                                                </td>
                                                <td class="state">${row['state']}</td>
                                                <td><span data-id="${row['id']}" class="delete"><button id="delete_button_${row['id']}" type="button" class="btn btn-sm btn-block delete_task_button">Удалить</button><span></td>
                                            </tr>
                                    `);
                        });
                    },
                    error: function(errMsg) {
                        $('#vibix .spinner-border').hide();
                    }
                });
            }
        });

        $(document).ready(function() {
            $('body').on('click', '.delete', function(event) {
                event.preventDefault();

                var id = $(this).data('id');
                console.log(id);
                $.ajax({
                    type: "POST",
                    crossDomain: true,
                    url: '/<?= $config['admin_path'] ?>?mod=vibix&action_ajax=delete_task',
                    data: {
                        id
                    },
                    success: function(res) {
                        console.log(id);
                        document.getElementById(id).style.display = "none";
                        console.log(1);
                    },
                    error: function(errMsg) {

                    }
                });
            })
        });
    </script>
</div>